Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class FlatFileAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.layout.FlatFileAssembler

    public class FlatFileAssembler

extends FlatFileOptionsFactoryAssembler

The `FlatFileAssembler` implements an assembler for assembling `FlatFile` objects.

Constructor Summary
`FlatFileAssembler()`

Method Summary
`FlatFile` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatFileBodyFactory bodyFactory)`
`void` | `injectComponent(FlatFileHeader header)`
`void` | `injectComponent(FlatFileSignatureFactory[] signatureFactories)`
`void` | `injectComponent(FlatFileTrailer trailer)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setIndexBase, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes, setZeroBased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileAssembler

    public FlatFileAssembler()

Method Detail

### injectComponent

    public void injectComponent(FlatFileHeader header)

### injectComponent

    public void injectComponent(FlatFileTrailer trailer)

### injectComponent

    public void injectComponent(FlatFileBodyFactory bodyFactory)

### injectComponent

    public void injectComponent(FlatFileSignatureFactory[] signatureFactories)

### assemble

    public FlatFile assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD